tigase.jaxmpp.core.client.xmpp.modules

## Interface ResourceBinderModule.ResourceBindErrorHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    ResourceBinderModule

      public static interface ResourceBinderModule.ResourceBindErrorHandler
      extends EventHandler

  Event fires on binding error.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ResourceBinderModule.ResourceBindErrorHandler.ResourceBindErrorEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onResourceBindError(SessionObject sessionObject, XMPPException.ErrorCondition errorCondition)`

- - ### Method Detail

    - #### onResourceBindError

          void onResourceBindError(SessionObject sessionObject,
                                   XMPPException.ErrorCondition errorCondition)

Copyright © 2006–2020 Tigase. All rights reserved.